.btn.btn-custom {
  padding: 1em 3.5em 1em 1em;
  height: 3em;
  border-radius: 1.5em;
  line-height: 1em;
  position: relative;
}

.btn.btn-custom:focus-visible {
  color: var(--bs-light) !important;
  background-color: var(--bs-primary) !important;
  border-color: var(--bs-primary) !important;
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-primary-rgb), 0.5);
}

.btn.btn-custom:focus-visible:after {
  background-color: var(--bs-light) !important;
}

.btn.btn-custom:after {
  content: "";
  display: block;
  position: absolute;
  right: 0px;
  top: 0px;
  height: 100%;
  aspect-ratio: 1;
  border-radius: 50%;
}

.btn.btn-custom.btn-primary:after {
  background-color: var(--secondary);
}

.btn.btn-custom.btn-pale-green {
  background-color: var(--pale-green);
}

.btn.btn-custom.btn-pale-green:hover,
.btn.btn-custom.btn-pale-green:active {
  background-color: var(--pale-green--100);
}

.btn.btn-custom.btn-pale-green:focus {
  background-color: var(--light-green--200);
}

.btn.btn-custom.btn-pale-green:after {
  background-color: var(--primary);
}

.btn.btn-custom.btn-dark-green {
  background-color: var(--dark-green);
  color: var(--bs-light);
}

.btn.btn-custom.btn-dark-green:hover,
.btn.btn-custom.btn-dark-green:active {
  background-color: var(--dark-green--100);
}

.btn.btn-custom.btn-dark-green:focus {
  background-color: var(--light-green--200);
}

.btn.btn-custom.btn-dark-green:after {
  background-color: var(--secondary);
}